fix disconnect bug in libvncserver
[presencevnc] / libvnc / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23   set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29   as_unset=unset
30 else
31   as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45   LC_TELEPHONE LC_TIME
46 do
47   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48     eval $as_var=C; export $as_var
49   else
50     $as_unset $as_var
51   fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56   as_expr=expr
57 else
58   as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62   as_basename=basename
63 else
64   as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71          X"$0" : 'X\(//\)$' \| \
72          X"$0" : 'X\(/\)$' \| \
73          .     : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76           /^X\/\(\/\/\)$/{ s//\1/; q; }
77           /^X\/\(\/\).*/{ s//\1/; q; }
78           s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91   echo "#! /bin/sh" >conf$$.sh
92   echo  "exit 0"   >>conf$$.sh
93   chmod +x conf$$.sh
94   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95     PATH_SEPARATOR=';'
96   else
97     PATH_SEPARATOR=:
98   fi
99   rm -f conf$$.sh
100 fi
101
102
103   as_lineno_1=$LINENO
104   as_lineno_2=$LINENO
105   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106   test "x$as_lineno_1" != "x$as_lineno_2" &&
107   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108   # Find who we are.  Look in the path if we contain no path at all
109   # relative or not.
110   case $0 in
111     *[\\/]* ) as_myself=$0 ;;
112     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115   IFS=$as_save_IFS
116   test -z "$as_dir" && as_dir=.
117   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120        ;;
121   esac
122   # We did not find ourselves, most probably we were run as `sh COMMAND'
123   # in which case we are not to be found in the path.
124   if test "x$as_myself" = x; then
125     as_myself=$0
126   fi
127   if test ! -f "$as_myself"; then
128     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130    { (exit 1); exit 1; }; }
131   fi
132   case $CONFIG_SHELL in
133   '')
134     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137   IFS=$as_save_IFS
138   test -z "$as_dir" && as_dir=.
139   for as_base in sh bash ksh sh5; do
140          case $as_dir in
141          /*)
142            if ("$as_dir/$as_base" -c '
143   as_lineno_1=$LINENO
144   as_lineno_2=$LINENO
145   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146   test "x$as_lineno_1" != "x$as_lineno_2" &&
147   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150              CONFIG_SHELL=$as_dir/$as_base
151              export CONFIG_SHELL
152              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153            fi;;
154          esac
155        done
156 done
157 ;;
158   esac
159
160   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161   # uniformly replaced by the line number.  The first 'sed' inserts a
162   # line-number line before each line; the second 'sed' does the real
163   # work.  The second script uses 'N' to pair each line-number line
164   # with the numbered line, and appends trailing '-' during
165   # substitution so that $LINENO is not a special case at line end.
166   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168   sed '=' <$as_myself |
169     sed '
170       N
171       s,$,-,
172       : loop
173       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174       t loop
175       s,-$,,
176       s,^['$as_cr_digits']*\n,,
177     ' >$as_me.lineno &&
178   chmod +x $as_me.lineno ||
179     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181    { (exit 1); exit 1; }; }
182
183   # Don't try to exec as it changes $[0], causing all sort of problems
184   # (the dirname of $[0] is not the place where we might find the
185   # original and so on.  Autoconf is especially sensible to this).
186   . ./$as_me.lineno
187   # Exit status is that of the last command.
188   exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193   *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T='      ' ;;
195   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200   as_expr=expr
201 else
202   as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208   # We could just check for DJGPP; but this test a) works b) is more generic
209   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210   if test -f conf$$.exe; then
211     # Don't use ln at all; we don't have any links
212     as_ln_s='cp -p'
213   else
214     as_ln_s='ln -s'
215   fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217   as_ln_s=ln
218 else
219   as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224   as_mkdir_p=:
225 else
226   test -d ./-p && rmdir ./-p
227   as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS="   $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling.  Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255   echo
256   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by LibVNCServer $as_me 0.9.7, which was
263 generated by GNU Autoconf 2.59.  Invocation command line was
264
265   CONFIG_FILES    = $CONFIG_FILES
266   CONFIG_HEADERS  = $CONFIG_HEADERS
267   CONFIG_LINKS    = $CONFIG_LINKS
268   CONFIG_COMMANDS = $CONFIG_COMMANDS
269   $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile libvncserver/Makefile contrib/Makefile examples/Makefile vncterm/Makefile classes/Makefile classes/ssl/Makefile libvncclient/Makefile client_examples/Makefile test/Makefile libvncserver-config LibVNCServer.spec"
275 config_headers=" rfbconfig.h "
276 config_commands=" rfb/rfbconfig.h depfiles chmod-libvncserver-config"
277
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
281
282 Usage: $0 [OPTIONS] [FILE]...
283
284   -h, --help       print this help, then exit
285   -V, --version    print version number, then exit
286   -q, --quiet      do not print progress messages
287   -d, --debug      don't remove temporary files
288       --recheck    update $as_me by reconfiguring in the same conditions
289   --file=FILE[:TEMPLATE]
290                    instantiate the configuration file FILE
291   --header=FILE[:TEMPLATE]
292                    instantiate the configuration header FILE
293
294 Configuration files:
295 $config_files
296
297 Configuration headers:
298 $config_headers
299
300 Configuration commands:
301 $config_commands
302
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 LibVNCServer config.status 0.9.7
306 configured by ./configure, generated by GNU Autoconf 2.59,
307   with options \"\"
308
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/scratchbox/tools/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value.  By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
318 do
319   case $1 in
320   --*=*)
321     ac_option=`expr "x$1" : 'x\([^=]*\)='`
322     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323     ac_shift=:
324     ;;
325   -*)
326     ac_option=$1
327     ac_optarg=$2
328     ac_shift=shift
329     ;;
330   *) # This is not an option, so the user has probably given explicit
331      # arguments.
332      ac_option=$1
333      ac_need_defaults=false;;
334   esac
335
336   case $ac_option in
337   # Handling of the options.
338   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339     ac_cs_recheck=: ;;
340   --version | --vers* | -V )
341     echo "$ac_cs_version"; exit 0 ;;
342   --he | --h)
343     # Conflict between --help and --header
344     { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348    { (exit 1); exit 1; }; };;
349   --help | --hel | -h )
350     echo "$ac_cs_usage"; exit 0 ;;
351   --debug | --d* | -d )
352     debug=: ;;
353   --file | --fil | --fi | --f )
354     $ac_shift
355     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356     ac_need_defaults=false;;
357   --header | --heade | --head | --hea )
358     $ac_shift
359     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360     ac_need_defaults=false;;
361   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362   | -silent | --silent | --silen | --sile | --sil | --si | --s)
363     ac_cs_silent=: ;;
364
365   # This is an error.
366   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370    { (exit 1); exit 1; }; } ;;
371
372   *) ac_config_targets="$ac_config_targets $1" ;;
373
374   esac
375   shift
376 done
377
378 ac_configure_extra_args=
379
380 if $ac_cs_silent; then
381   exec 6>/dev/null
382   ac_configure_extra_args="$ac_configure_extra_args --silent"
383 fi
384
385 if $ac_cs_recheck; then
386   echo "running /bin/sh ./configure "  $ac_configure_extra_args " --no-create --no-recursion" >&6
387   exec /bin/sh ./configure  $ac_configure_extra_args --no-create --no-recursion
388 fi
389
390 #
391 # INIT-COMMANDS section.
392 #
393
394 PACKAGE="LibVNCServer"
395 AMDEP_TRUE="" ac_aux_dir="."
396
397 for ac_config_target in $ac_config_targets
398 do
399   case "$ac_config_target" in
400   # Handling of arguments.
401   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
402   "libvncserver/Makefile" ) CONFIG_FILES="$CONFIG_FILES libvncserver/Makefile" ;;
403   "contrib/Makefile" ) CONFIG_FILES="$CONFIG_FILES contrib/Makefile" ;;
404   "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
405   "vncterm/Makefile" ) CONFIG_FILES="$CONFIG_FILES vncterm/Makefile" ;;
406   "classes/Makefile" ) CONFIG_FILES="$CONFIG_FILES classes/Makefile" ;;
407   "classes/ssl/Makefile" ) CONFIG_FILES="$CONFIG_FILES classes/ssl/Makefile" ;;
408   "libvncclient/Makefile" ) CONFIG_FILES="$CONFIG_FILES libvncclient/Makefile" ;;
409   "client_examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES client_examples/Makefile" ;;
410   "test/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
411   "libvncserver-config" ) CONFIG_FILES="$CONFIG_FILES libvncserver-config" ;;
412   "LibVNCServer.spec" ) CONFIG_FILES="$CONFIG_FILES LibVNCServer.spec" ;;
413   "x11vnc/Makefile" ) CONFIG_FILES="$CONFIG_FILES x11vnc/Makefile" ;;
414   "x11vnc/misc/Makefile" ) CONFIG_FILES="$CONFIG_FILES x11vnc/misc/Makefile" ;;
415   "rfb/rfbconfig.h" ) CONFIG_COMMANDS="$CONFIG_COMMANDS rfb/rfbconfig.h" ;;
416   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
417   "chmod-libvncserver-config" ) CONFIG_COMMANDS="$CONFIG_COMMANDS chmod-libvncserver-config" ;;
418   "rfbconfig.h" ) CONFIG_HEADERS="$CONFIG_HEADERS rfbconfig.h" ;;
419   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
420 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
421    { (exit 1); exit 1; }; };;
422   esac
423 done
424
425 # If the user did not use the arguments to specify the items to instantiate,
426 # then the envvar interface is used.  Set only those that are not.
427 # We use the long form for the default assignment because of an extremely
428 # bizarre bug on SunOS 4.1.3.
429 if $ac_need_defaults; then
430   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
431   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
432   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
433 fi
434
435 # Have a temporary directory for convenience.  Make it in the build tree
436 # simply because there is no reason to put it here, and in addition,
437 # creating and moving files from /tmp can sometimes cause problems.
438 # Create a temporary directory, and hook for its removal unless debugging.
439 $debug ||
440 {
441   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
442   trap '{ (exit 1); exit 1; }' 1 2 13 15
443 }
444
445 # Create a (secure) tmp directory for tmp files.
446
447 {
448   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
449   test -n "$tmp" && test -d "$tmp"
450 }  ||
451 {
452   tmp=./confstat$$-$RANDOM
453   (umask 077 && mkdir $tmp)
454 } ||
455 {
456    echo "$me: cannot create a temporary directory in ." >&2
457    { (exit 1); exit 1; }
458 }
459
460
461 #
462 # CONFIG_FILES section.
463 #
464
465 # No need to generate the scripts if there are no CONFIG_FILES.
466 # This happens for instance when ./config.status config.h
467 if test -n "$CONFIG_FILES"; then
468   # Protect against being on the right side of a sed subst in config.status.
469   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
470    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
471 s,@SHELL@,/bin/sh,;t t
472 s,@PATH_SEPARATOR@,:,;t t
473 s,@PACKAGE_NAME@,LibVNCServer,;t t
474 s,@PACKAGE_TARNAME@,libvncserver,;t t
475 s,@PACKAGE_VERSION@,0.9.7,;t t
476 s,@PACKAGE_STRING@,LibVNCServer 0.9.7,;t t
477 s,@PACKAGE_BUGREPORT@,http://sourceforge.net/projects/libvncserver,;t t
478 s,@exec_prefix@,${prefix},;t t
479 s,@prefix@,/usr/local,;t t
480 s,@program_transform_name@,s,x,x,,;t t
481 s,@bindir@,${exec_prefix}/bin,;t t
482 s,@sbindir@,${exec_prefix}/sbin,;t t
483 s,@libexecdir@,${exec_prefix}/libexec,;t t
484 s,@datadir@,${prefix}/share,;t t
485 s,@sysconfdir@,${prefix}/etc,;t t
486 s,@sharedstatedir@,${prefix}/com,;t t
487 s,@localstatedir@,${prefix}/var,;t t
488 s,@libdir@,${exec_prefix}/lib,;t t
489 s,@includedir@,${prefix}/include,;t t
490 s,@oldincludedir@,/usr/include,;t t
491 s,@infodir@,${prefix}/info,;t t
492 s,@mandir@,${prefix}/man,;t t
493 s,@build_alias@,,;t t
494 s,@host_alias@,,;t t
495 s,@target_alias@,,;t t
496 s,@DEFS@,-DHAVE_CONFIG_H,;t t
497 s,@ECHO_C@,,;t t
498 s,@ECHO_N@,-n,;t t
499 s,@ECHO_T@,,;t t
500 s,@LIBS@,-lnsl -lpthread -lz -ljpeg ,;t t
501 s,@INSTALL_PROGRAM@,${INSTALL},;t t
502 s,@INSTALL_SCRIPT@,${INSTALL},;t t
503 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
504 s,@CYGPATH_W@,echo,;t t
505 s,@PACKAGE@,LibVNCServer,;t t
506 s,@VERSION@,0.9.7,;t t
507 s,@ACLOCAL@,${SHELL} /home/christian/presencevnc/libvnc/missing --run aclocal-1.9,;t t
508 s,@AUTOCONF@,${SHELL} /home/christian/presencevnc/libvnc/missing --run autoconf,;t t
509 s,@AUTOMAKE@,${SHELL} /home/christian/presencevnc/libvnc/missing --run automake-1.9,;t t
510 s,@AUTOHEADER@,${SHELL} /home/christian/presencevnc/libvnc/missing --run autoheader,;t t
511 s,@MAKEINFO@,${SHELL} /home/christian/presencevnc/libvnc/missing --run makeinfo,;t t
512 s,@install_sh@,/home/christian/presencevnc/libvnc/install-sh,;t t
513 s,@STRIP@,strip,;t t
514 s,@ac_ct_STRIP@,strip,;t t
515 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
516 s,@mkdir_p@,mkdir -p --,;t t
517 s,@AWK@,gawk,;t t
518 s,@SET_MAKE@,,;t t
519 s,@am__leading_dot@,.,;t t
520 s,@AMTAR@,${SHELL} /home/christian/presencevnc/libvnc/missing --run tar,;t t
521 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
522 s,@am__untar@,${AMTAR} xf -,;t t
523 s,@CC@,gcc,;t t
524 s,@CFLAGS@,-g -O2,;t t
525 s,@LDFLAGS@,,;t t
526 s,@CPPFLAGS@,,;t t
527 s,@ac_ct_CC@,gcc,;t t
528 s,@EXEEXT@,,;t t
529 s,@OBJEXT@,o,;t t
530 s,@DEPDIR@,.deps,;t t
531 s,@am__include@,include,;t t
532 s,@am__quote@,,;t t
533 s,@AMDEP_TRUE@,,;t t
534 s,@AMDEP_FALSE@,#,;t t
535 s,@AMDEPBACKSLASH@,\,;t t
536 s,@CCDEPMODE@,depmode=gcc3,;t t
537 s,@am__fastdepCC_TRUE@,,;t t
538 s,@am__fastdepCC_FALSE@,#,;t t
539 s,@build@,arm-unknown-linux-gnu,;t t
540 s,@build_cpu@,arm,;t t
541 s,@build_vendor@,unknown,;t t
542 s,@build_os@,linux-gnu,;t t
543 s,@host@,arm-unknown-linux-gnu,;t t
544 s,@host_cpu@,arm,;t t
545 s,@host_vendor@,unknown,;t t
546 s,@host_os@,linux-gnu,;t t
547 s,@EGREP@,grep -E,;t t
548 s,@LN_S@,ln -s,;t t
549 s,@ECHO@,echo,;t t
550 s,@AR@,/scratchbox/compilers/bin/ar,;t t
551 s,@ac_ct_AR@,ar,;t t
552 s,@RANLIB@,ranlib,;t t
553 s,@ac_ct_RANLIB@,ranlib,;t t
554 s,@CPP@,gcc -E,;t t
555 s,@CXX@,g++,;t t
556 s,@CXXFLAGS@,-g -O2,;t t
557 s,@ac_ct_CXX@,g++,;t t
558 s,@CXXDEPMODE@,depmode=gcc3,;t t
559 s,@am__fastdepCXX_TRUE@,,;t t
560 s,@am__fastdepCXX_FALSE@,#,;t t
561 s,@CXXCPP@,g++ -E,;t t
562 s,@F77@,,;t t
563 s,@FFLAGS@,,;t t
564 s,@ac_ct_F77@,,;t t
565 s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
566 s,@with_ffmpeg@,,;t t
567 s,@WITH_FFMPEG_TRUE@,#,;t t
568 s,@WITH_FFMPEG_FALSE@,,;t t
569 s,@HAVE_MP3LAME_TRUE@,#,;t t
570 s,@HAVE_MP3LAME_FALSE@,,;t t
571 s,@X_CFLAGS@,,;t t
572 s,@X_PRE_LIBS@, -lSM -lICE,;t t
573 s,@X_LIBS@,,;t t
574 s,@X_EXTRA_LIBS@,,;t t
575 s,@HAVE_X_TRUE@,,;t t
576 s,@HAVE_X_FALSE@,#,;t t
577 s,@CRYPT_LIBS@,,;t t
578 s,@SSL_LIBS@,,;t t
579 s,@AVAHI_CFLAGS@,,;t t
580 s,@AVAHI_LIBS@,,;t t
581 s,@SYSTEM_LIBVNCSERVER_CFLAGS@,,;t t
582 s,@SYSTEM_LIBVNCSERVER_LIBS@,,;t t
583 s,@HAVE_SYSTEM_LIBVNCSERVER_TRUE@,#,;t t
584 s,@HAVE_SYSTEM_LIBVNCSERVER_FALSE@,,;t t
585 s,@HAVE_LIBPTHREAD_TRUE@,,;t t
586 s,@HAVE_LIBPTHREAD_FALSE@,#,;t t
587 s,@WITH_TIGHTVNC_FILETRANSFER_TRUE@,,;t t
588 s,@WITH_TIGHTVNC_FILETRANSFER_FALSE@,#,;t t
589 s,@HAVE_LIBZ_TRUE@,,;t t
590 s,@HAVE_LIBZ_FALSE@,#,;t t
591 s,@HAVE_LIBJPEG_TRUE@,,;t t
592 s,@HAVE_LIBJPEG_FALSE@,#,;t t
593 s,@HAVE_LIBSDL_TRUE@,,;t t
594 s,@HAVE_LIBSDL_FALSE@,#,;t t
595 s,@SDL_CFLAGS@,-I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT,;t t
596 s,@SDL_LIBS@,-L/usr/lib -lSDL,;t t
597 s,@MINGW_TRUE@,#,;t t
598 s,@MINGW_FALSE@,,;t t
599 s,@WSOCKLIB@,,;t t
600 s,@LIBOBJS@,,;t t
601 s,@CYGIPC_TRUE@,#,;t t
602 s,@CYGIPC_FALSE@,,;t t
603 s,@LINUX_TRUE@,,;t t
604 s,@LINUX_FALSE@,#,;t t
605 s,@OSX_TRUE@,#,;t t
606 s,@OSX_FALSE@,,;t t
607 s,@HAVE_RPM_TRUE@,#,;t t
608 s,@HAVE_RPM_FALSE@,,;t t
609 s,@WITH_X11VNC_TRUE@,#,;t t
610 s,@WITH_X11VNC_FALSE@,,;t t
611 s,@RPMSOURCEDIR@,NOT-FOUND,;t t
612 s,@LTLIBOBJS@,,;t t
613 CEOF
614
615   # Split the substitutions into bite-sized pieces for seds with
616   # small command number limits, like on Digital OSF/1 and HP-UX.
617   ac_max_sed_lines=48
618   ac_sed_frag=1 # Number of current file.
619   ac_beg=1 # First line for current file.
620   ac_end=$ac_max_sed_lines # Line after last line for current file.
621   ac_more_lines=:
622   ac_sed_cmds=
623   while $ac_more_lines; do
624     if test $ac_beg -gt 1; then
625       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
626     else
627       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
628     fi
629     if test ! -s $tmp/subs.frag; then
630       ac_more_lines=false
631     else
632       # The purpose of the label and of the branching condition is to
633       # speed up the sed processing (if there are no `@' at all, there
634       # is no need to browse any of the substitutions).
635       # These are the two extra sed commands mentioned above.
636       (echo ':t
637   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
638       if test -z "$ac_sed_cmds"; then
639         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
640       else
641         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
642       fi
643       ac_sed_frag=`expr $ac_sed_frag + 1`
644       ac_beg=$ac_end
645       ac_end=`expr $ac_end + $ac_max_sed_lines`
646     fi
647   done
648   if test -z "$ac_sed_cmds"; then
649     ac_sed_cmds=cat
650   fi
651 fi # test -n "$CONFIG_FILES"
652
653 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
654   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
655   case $ac_file in
656   - | *:- | *:-:* ) # input from stdin
657         cat >$tmp/stdin
658         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
659         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
660   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
661         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
662   * )   ac_file_in=$ac_file.in ;;
663   esac
664
665   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
666   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
667 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
668          X"$ac_file" : 'X\(//\)[^/]' \| \
669          X"$ac_file" : 'X\(//\)$' \| \
670          X"$ac_file" : 'X\(/\)' \| \
671          .     : '\(.\)' 2>/dev/null ||
672 echo X"$ac_file" |
673     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
674           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
675           /^X\(\/\/\)$/{ s//\1/; q; }
676           /^X\(\/\).*/{ s//\1/; q; }
677           s/.*/./; q'`
678   { if $as_mkdir_p; then
679     mkdir -p "$ac_dir"
680   else
681     as_dir="$ac_dir"
682     as_dirs=
683     while test ! -d "$as_dir"; do
684       as_dirs="$as_dir $as_dirs"
685       as_dir=`(dirname "$as_dir") 2>/dev/null ||
686 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
687          X"$as_dir" : 'X\(//\)[^/]' \| \
688          X"$as_dir" : 'X\(//\)$' \| \
689          X"$as_dir" : 'X\(/\)' \| \
690          .     : '\(.\)' 2>/dev/null ||
691 echo X"$as_dir" |
692     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
693           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
694           /^X\(\/\/\)$/{ s//\1/; q; }
695           /^X\(\/\).*/{ s//\1/; q; }
696           s/.*/./; q'`
697     done
698     test ! -n "$as_dirs" || mkdir $as_dirs
699   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
700 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
701    { (exit 1); exit 1; }; }; }
702
703   ac_builddir=.
704
705 if test "$ac_dir" != .; then
706   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
707   # A "../" for each directory in $ac_dir_suffix.
708   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
709 else
710   ac_dir_suffix= ac_top_builddir=
711 fi
712
713 case $srcdir in
714   .)  # No --srcdir option.  We are building in place.
715     ac_srcdir=.
716     if test -z "$ac_top_builddir"; then
717        ac_top_srcdir=.
718     else
719        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
720     fi ;;
721   [\\/]* | ?:[\\/]* )  # Absolute path.
722     ac_srcdir=$srcdir$ac_dir_suffix;
723     ac_top_srcdir=$srcdir ;;
724   *) # Relative path.
725     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
726     ac_top_srcdir=$ac_top_builddir$srcdir ;;
727 esac
728
729 # Do not use `cd foo && pwd` to compute absolute paths, because
730 # the directories may not exist.
731 case `pwd` in
732 .) ac_abs_builddir="$ac_dir";;
733 *)
734   case "$ac_dir" in
735   .) ac_abs_builddir=`pwd`;;
736   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
737   *) ac_abs_builddir=`pwd`/"$ac_dir";;
738   esac;;
739 esac
740 case $ac_abs_builddir in
741 .) ac_abs_top_builddir=${ac_top_builddir}.;;
742 *)
743   case ${ac_top_builddir}. in
744   .) ac_abs_top_builddir=$ac_abs_builddir;;
745   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
746   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
747   esac;;
748 esac
749 case $ac_abs_builddir in
750 .) ac_abs_srcdir=$ac_srcdir;;
751 *)
752   case $ac_srcdir in
753   .) ac_abs_srcdir=$ac_abs_builddir;;
754   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
755   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
756   esac;;
757 esac
758 case $ac_abs_builddir in
759 .) ac_abs_top_srcdir=$ac_top_srcdir;;
760 *)
761   case $ac_top_srcdir in
762   .) ac_abs_top_srcdir=$ac_abs_builddir;;
763   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
764   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
765   esac;;
766 esac
767
768
769   case $INSTALL in
770   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
771   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
772   esac
773
774   if test x"$ac_file" != x-; then
775     { echo "$as_me:$LINENO: creating $ac_file" >&5
776 echo "$as_me: creating $ac_file" >&6;}
777     rm -f "$ac_file"
778   fi
779   # Let's still pretend it is `configure' which instantiates (i.e., don't
780   # use $as_me), people would be surprised to read:
781   #    /* config.h.  Generated by config.status.  */
782   if test x"$ac_file" = x-; then
783     configure_input=
784   else
785     configure_input="$ac_file.  "
786   fi
787   configure_input=$configure_input"Generated from `echo $ac_file_in |
788                                      sed 's,.*/,,'` by configure."
789
790   # First look for the input files in the build tree, otherwise in the
791   # src tree.
792   ac_file_inputs=`IFS=:
793     for f in $ac_file_in; do
794       case $f in
795       -) echo $tmp/stdin ;;
796       [\\/$]*)
797          # Absolute (can't be DOS-style, as IFS=:)
798          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
799 echo "$as_me: error: cannot find input file: $f" >&2;}
800    { (exit 1); exit 1; }; }
801          echo "$f";;
802       *) # Relative
803          if test -f "$f"; then
804            # Build tree
805            echo "$f"
806          elif test -f "$srcdir/$f"; then
807            # Source tree
808            echo "$srcdir/$f"
809          else
810            # /dev/null tree
811            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
812 echo "$as_me: error: cannot find input file: $f" >&2;}
813    { (exit 1); exit 1; }; }
814          fi;;
815       esac
816     done` || { (exit 1); exit 1; }
817   sed "/^[       ]*VPATH[        ]*=/{
818 s/:*\$(srcdir):*/:/;
819 s/:*\${srcdir}:*/:/;
820 s/:*@srcdir@:*/:/;
821 s/^\([^=]*=[     ]*\):*/\1/;
822 s/:*$//;
823 s/^[^=]*=[       ]*$//;
824 }
825
826 :t
827 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
828 s,@configure_input@,$configure_input,;t t
829 s,@srcdir@,$ac_srcdir,;t t
830 s,@abs_srcdir@,$ac_abs_srcdir,;t t
831 s,@top_srcdir@,$ac_top_srcdir,;t t
832 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
833 s,@builddir@,$ac_builddir,;t t
834 s,@abs_builddir@,$ac_abs_builddir,;t t
835 s,@top_builddir@,$ac_top_builddir,;t t
836 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
837 s,@INSTALL@,$ac_INSTALL,;t t
838 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
839   rm -f $tmp/stdin
840   if test x"$ac_file" != x-; then
841     mv $tmp/out $ac_file
842   else
843     cat $tmp/out
844     rm -f $tmp/out
845   fi
846
847 done
848
849 #
850 # CONFIG_HEADER section.
851 #
852
853 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
854 # NAME is the cpp macro being defined and VALUE is the value it is being given.
855 #
856 # ac_d sets the value in "#define NAME VALUE" lines.
857 ac_dA='s,^\([    ]*\)#\([        ]*define[       ][      ]*\)'
858 ac_dB='[         ].*$,\1#\2'
859 ac_dC=' '
860 ac_dD=',;t'
861 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
862 ac_uA='s,^\([    ]*\)#\([        ]*\)undef\([    ][      ]*\)'
863 ac_uB='$,\1#\2define\3'
864 ac_uC=' '
865 ac_uD=',;t'
866
867 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
868   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
869   case $ac_file in
870   - | *:- | *:-:* ) # input from stdin
871         cat >$tmp/stdin
872         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
873         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
874   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
875         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
876   * )   ac_file_in=$ac_file.in ;;
877   esac
878
879   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
880 echo "$as_me: creating $ac_file" >&6;}
881
882   # First look for the input files in the build tree, otherwise in the
883   # src tree.
884   ac_file_inputs=`IFS=:
885     for f in $ac_file_in; do
886       case $f in
887       -) echo $tmp/stdin ;;
888       [\\/$]*)
889          # Absolute (can't be DOS-style, as IFS=:)
890          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
891 echo "$as_me: error: cannot find input file: $f" >&2;}
892    { (exit 1); exit 1; }; }
893          # Do quote $f, to prevent DOS paths from being IFS'd.
894          echo "$f";;
895       *) # Relative
896          if test -f "$f"; then
897            # Build tree
898            echo "$f"
899          elif test -f "$srcdir/$f"; then
900            # Source tree
901            echo "$srcdir/$f"
902          else
903            # /dev/null tree
904            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
905 echo "$as_me: error: cannot find input file: $f" >&2;}
906    { (exit 1); exit 1; }; }
907          fi;;
908       esac
909     done` || { (exit 1); exit 1; }
910   # Remove the trailing spaces.
911   sed 's/[       ]*$//' $ac_file_inputs >$tmp/in
912
913   # Handle all the #define templates only if necessary.
914   if grep "^[    ]*#[    ]*define" $tmp/in >/dev/null; then
915   # If there are no defines, we may have an empty if/fi
916   :
917   cat >$tmp/defines.sed <<CEOF
918 /^[      ]*#[    ]*define/!b
919 t clr
920 : clr
921 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"LibVNCServer"${ac_dD}
922 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"libvncserver"${ac_dD}
923 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"0.9.7"${ac_dD}
924 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"LibVNCServer 0.9.7"${ac_dD}
925 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"http://sourceforge.net/projects/libvncserver"${ac_dD}
926 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"LibVNCServer"${ac_dD}
927 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.9.7"${ac_dD}
928 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
929 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
930 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
931 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
932 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
933 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
934 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
935 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
936 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
937 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
938 ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
939 ${ac_dA}ALLOW24BPP${ac_dB}ALLOW24BPP${ac_dC}1${ac_dD}
940 ${ac_dA}HAVE_X11${ac_dB}HAVE_X11${ac_dC}1${ac_dD}
941 ${ac_dA}HAVE_LIBJPEG${ac_dB}HAVE_LIBJPEG${ac_dC}1${ac_dD}
942 ${ac_dA}HAVE_LIBZ${ac_dB}HAVE_LIBZ${ac_dC}1${ac_dD}
943 ${ac_dA}HAVE_LIBPTHREAD${ac_dB}HAVE_LIBPTHREAD${ac_dC}1${ac_dD}
944 ${ac_dA}WITH_TIGHTVNC_FILETRANSFER${ac_dB}WITH_TIGHTVNC_FILETRANSFER${ac_dC}1${ac_dD}
945 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
946 ${ac_dA}HAVE_ARPA_INET_H${ac_dB}HAVE_ARPA_INET_H${ac_dC}1${ac_dD}
947 ${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
948 ${ac_dA}HAVE_NETDB_H${ac_dB}HAVE_NETDB_H${ac_dC}1${ac_dD}
949 ${ac_dA}HAVE_NETINET_IN_H${ac_dB}HAVE_NETINET_IN_H${ac_dC}1${ac_dD}
950 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
951 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
952 ${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
953 ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
954 ${ac_dA}HAVE_SYS_TIMEB_H${ac_dB}HAVE_SYS_TIMEB_H${ac_dC}1${ac_dD}
955 ${ac_dA}HAVE_SYSLOG_H${ac_dB}HAVE_SYSLOG_H${ac_dC}1${ac_dD}
956 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
957 ${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
958 ${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
959 CEOF
960   sed -f $tmp/defines.sed $tmp/in >$tmp/out
961   rm -f $tmp/in
962   mv $tmp/out $tmp/in
963
964   cat >$tmp/defines.sed <<CEOF
965 /^[      ]*#[    ]*define/!b
966 t clr
967 : clr
968 ${ac_dA}LSTAT_FOLLOWS_SLASHED_SYMLINK${ac_dB}LSTAT_FOLLOWS_SLASHED_SYMLINK${ac_dC}1${ac_dD}
969 ${ac_dA}HAVE_STRFTIME${ac_dB}HAVE_STRFTIME${ac_dC}1${ac_dD}
970 ${ac_dA}HAVE_VPRINTF${ac_dB}HAVE_VPRINTF${ac_dC}1${ac_dD}
971 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
972 ${ac_dA}HAVE_FORK${ac_dB}HAVE_FORK${ac_dC}1${ac_dD}
973 ${ac_dA}HAVE_VFORK${ac_dB}HAVE_VFORK${ac_dC}1${ac_dD}
974 ${ac_dA}HAVE_WORKING_VFORK${ac_dB}HAVE_WORKING_VFORK${ac_dC}1${ac_dD}
975 ${ac_dA}HAVE_WORKING_FORK${ac_dB}HAVE_WORKING_FORK${ac_dC}1${ac_dD}
976 ${ac_dA}HAVE_LIBNSL${ac_dB}HAVE_LIBNSL${ac_dC}1${ac_dD}
977 ${ac_dA}HAVE_FTIME${ac_dB}HAVE_FTIME${ac_dC}1${ac_dD}
978 ${ac_dA}HAVE_GETHOSTBYNAME${ac_dB}HAVE_GETHOSTBYNAME${ac_dC}1${ac_dD}
979 ${ac_dA}HAVE_GETHOSTNAME${ac_dB}HAVE_GETHOSTNAME${ac_dC}1${ac_dD}
980 ${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
981 ${ac_dA}HAVE_INET_NTOA${ac_dB}HAVE_INET_NTOA${ac_dC}1${ac_dD}
982 ${ac_dA}HAVE_MEMMOVE${ac_dB}HAVE_MEMMOVE${ac_dC}1${ac_dD}
983 ${ac_dA}HAVE_MEMSET${ac_dB}HAVE_MEMSET${ac_dC}1${ac_dD}
984 ${ac_dA}HAVE_MMAP${ac_dB}HAVE_MMAP${ac_dC}1${ac_dD}
985 ${ac_dA}HAVE_MKFIFO${ac_dB}HAVE_MKFIFO${ac_dC}1${ac_dD}
986 ${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
987 ${ac_dA}HAVE_SOCKET${ac_dB}HAVE_SOCKET${ac_dC}1${ac_dD}
988 ${ac_dA}HAVE_STRCHR${ac_dB}HAVE_STRCHR${ac_dC}1${ac_dD}
989 ${ac_dA}HAVE_STRCSPN${ac_dB}HAVE_STRCSPN${ac_dC}1${ac_dD}
990 ${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
991 ${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
992 ${ac_dA}HAVE_STRSTR${ac_dB}HAVE_STRSTR${ac_dC}1${ac_dD}
993 CEOF
994   sed -f $tmp/defines.sed $tmp/in >$tmp/out
995   rm -f $tmp/in
996   mv $tmp/out $tmp/in
997
998   fi # grep
999
1000   # Handle all the #undef templates
1001   cat >$tmp/undefs.sed <<CEOF
1002 /^[      ]*#[    ]*undef/!b
1003 t clr
1004 : clr
1005 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"LibVNCServer"${ac_uD}
1006 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"libvncserver"${ac_uD}
1007 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"0.9.7"${ac_uD}
1008 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"LibVNCServer 0.9.7"${ac_uD}
1009 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"http://sourceforge.net/projects/libvncserver"${ac_uD}
1010 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"LibVNCServer"${ac_uD}
1011 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.9.7"${ac_uD}
1012 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
1013 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
1014 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
1015 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1016 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
1017 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
1018 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
1019 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
1020 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
1021 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1022 ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
1023 ${ac_uA}ALLOW24BPP${ac_uB}ALLOW24BPP${ac_uC}1${ac_uD}
1024 ${ac_uA}HAVE_X11${ac_uB}HAVE_X11${ac_uC}1${ac_uD}
1025 ${ac_uA}HAVE_LIBJPEG${ac_uB}HAVE_LIBJPEG${ac_uC}1${ac_uD}
1026 ${ac_uA}HAVE_LIBZ${ac_uB}HAVE_LIBZ${ac_uC}1${ac_uD}
1027 ${ac_uA}HAVE_LIBPTHREAD${ac_uB}HAVE_LIBPTHREAD${ac_uC}1${ac_uD}
1028 ${ac_uA}WITH_TIGHTVNC_FILETRANSFER${ac_uB}WITH_TIGHTVNC_FILETRANSFER${ac_uC}1${ac_uD}
1029 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
1030 ${ac_uA}HAVE_ARPA_INET_H${ac_uB}HAVE_ARPA_INET_H${ac_uC}1${ac_uD}
1031 ${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
1032 ${ac_uA}HAVE_NETDB_H${ac_uB}HAVE_NETDB_H${ac_uC}1${ac_uD}
1033 ${ac_uA}HAVE_NETINET_IN_H${ac_uB}HAVE_NETINET_IN_H${ac_uC}1${ac_uD}
1034 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1035 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
1036 ${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
1037 ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
1038 ${ac_uA}HAVE_SYS_TIMEB_H${ac_uB}HAVE_SYS_TIMEB_H${ac_uC}1${ac_uD}
1039 ${ac_uA}HAVE_SYSLOG_H${ac_uB}HAVE_SYSLOG_H${ac_uC}1${ac_uD}
1040 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1041 ${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
1042 ${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
1043 CEOF
1044   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1045   rm -f $tmp/in
1046   mv $tmp/out $tmp/in
1047
1048   cat >$tmp/undefs.sed <<CEOF
1049 /^[      ]*#[    ]*undef/!b
1050 t clr
1051 : clr
1052 ${ac_uA}LSTAT_FOLLOWS_SLASHED_SYMLINK${ac_uB}LSTAT_FOLLOWS_SLASHED_SYMLINK${ac_uC}1${ac_uD}
1053 ${ac_uA}HAVE_STRFTIME${ac_uB}HAVE_STRFTIME${ac_uC}1${ac_uD}
1054 ${ac_uA}HAVE_VPRINTF${ac_uB}HAVE_VPRINTF${ac_uC}1${ac_uD}
1055 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1056 ${ac_uA}HAVE_FORK${ac_uB}HAVE_FORK${ac_uC}1${ac_uD}
1057 ${ac_uA}HAVE_VFORK${ac_uB}HAVE_VFORK${ac_uC}1${ac_uD}
1058 ${ac_uA}HAVE_WORKING_VFORK${ac_uB}HAVE_WORKING_VFORK${ac_uC}1${ac_uD}
1059 ${ac_uA}HAVE_WORKING_FORK${ac_uB}HAVE_WORKING_FORK${ac_uC}1${ac_uD}
1060 ${ac_uA}HAVE_LIBNSL${ac_uB}HAVE_LIBNSL${ac_uC}1${ac_uD}
1061 ${ac_uA}HAVE_FTIME${ac_uB}HAVE_FTIME${ac_uC}1${ac_uD}
1062 ${ac_uA}HAVE_GETHOSTBYNAME${ac_uB}HAVE_GETHOSTBYNAME${ac_uC}1${ac_uD}
1063 ${ac_uA}HAVE_GETHOSTNAME${ac_uB}HAVE_GETHOSTNAME${ac_uC}1${ac_uD}
1064 ${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
1065 ${ac_uA}HAVE_INET_NTOA${ac_uB}HAVE_INET_NTOA${ac_uC}1${ac_uD}
1066 ${ac_uA}HAVE_MEMMOVE${ac_uB}HAVE_MEMMOVE${ac_uC}1${ac_uD}
1067 ${ac_uA}HAVE_MEMSET${ac_uB}HAVE_MEMSET${ac_uC}1${ac_uD}
1068 ${ac_uA}HAVE_MMAP${ac_uB}HAVE_MMAP${ac_uC}1${ac_uD}
1069 ${ac_uA}HAVE_MKFIFO${ac_uB}HAVE_MKFIFO${ac_uC}1${ac_uD}
1070 ${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
1071 ${ac_uA}HAVE_SOCKET${ac_uB}HAVE_SOCKET${ac_uC}1${ac_uD}
1072 ${ac_uA}HAVE_STRCHR${ac_uB}HAVE_STRCHR${ac_uC}1${ac_uD}
1073 ${ac_uA}HAVE_STRCSPN${ac_uB}HAVE_STRCSPN${ac_uC}1${ac_uD}
1074 ${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
1075 ${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
1076 ${ac_uA}HAVE_STRSTR${ac_uB}HAVE_STRSTR${ac_uC}1${ac_uD}
1077 s,^[     ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
1078 CEOF
1079   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1080   rm -f $tmp/in
1081   mv $tmp/out $tmp/in
1082
1083   # Let's still pretend it is `configure' which instantiates (i.e., don't
1084   # use $as_me), people would be surprised to read:
1085   #    /* config.h.  Generated by config.status.  */
1086   if test x"$ac_file" = x-; then
1087     echo "/* Generated by configure.  */" >$tmp/config.h
1088   else
1089     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
1090   fi
1091   cat $tmp/in >>$tmp/config.h
1092   rm -f $tmp/in
1093   if test x"$ac_file" != x-; then
1094     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
1095       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1096 echo "$as_me: $ac_file is unchanged" >&6;}
1097     else
1098       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1099 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1100          X"$ac_file" : 'X\(//\)[^/]' \| \
1101          X"$ac_file" : 'X\(//\)$' \| \
1102          X"$ac_file" : 'X\(/\)' \| \
1103          .     : '\(.\)' 2>/dev/null ||
1104 echo X"$ac_file" |
1105     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1106           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1107           /^X\(\/\/\)$/{ s//\1/; q; }
1108           /^X\(\/\).*/{ s//\1/; q; }
1109           s/.*/./; q'`
1110       { if $as_mkdir_p; then
1111     mkdir -p "$ac_dir"
1112   else
1113     as_dir="$ac_dir"
1114     as_dirs=
1115     while test ! -d "$as_dir"; do
1116       as_dirs="$as_dir $as_dirs"
1117       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1118 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1119          X"$as_dir" : 'X\(//\)[^/]' \| \
1120          X"$as_dir" : 'X\(//\)$' \| \
1121          X"$as_dir" : 'X\(/\)' \| \
1122          .     : '\(.\)' 2>/dev/null ||
1123 echo X"$as_dir" |
1124     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1125           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1126           /^X\(\/\/\)$/{ s//\1/; q; }
1127           /^X\(\/\).*/{ s//\1/; q; }
1128           s/.*/./; q'`
1129     done
1130     test ! -n "$as_dirs" || mkdir $as_dirs
1131   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1132 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1133    { (exit 1); exit 1; }; }; }
1134
1135       rm -f $ac_file
1136       mv $tmp/config.h $ac_file
1137     fi
1138   else
1139     cat $tmp/config.h
1140     rm -f $tmp/config.h
1141   fi
1142 # Compute $ac_file's index in $config_headers.
1143 _am_stamp_count=1
1144 for _am_header in $config_headers :; do
1145   case $_am_header in
1146     $ac_file | $ac_file:* )
1147       break ;;
1148     * )
1149       _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1150   esac
1151 done
1152 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1153 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1154          X$ac_file : 'X\(//\)[^/]' \| \
1155          X$ac_file : 'X\(//\)$' \| \
1156          X$ac_file : 'X\(/\)' \| \
1157          .     : '\(.\)' 2>/dev/null ||
1158 echo X$ac_file |
1159     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1160           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1161           /^X\(\/\/\)$/{ s//\1/; q; }
1162           /^X\(\/\).*/{ s//\1/; q; }
1163           s/.*/./; q'`/stamp-h$_am_stamp_count
1164 done
1165
1166 #
1167 # CONFIG_COMMANDS section.
1168 #
1169 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1170   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1171   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1172   ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1173 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1174          X"$ac_dest" : 'X\(//\)[^/]' \| \
1175          X"$ac_dest" : 'X\(//\)$' \| \
1176          X"$ac_dest" : 'X\(/\)' \| \
1177          .     : '\(.\)' 2>/dev/null ||
1178 echo X"$ac_dest" |
1179     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1180           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1181           /^X\(\/\/\)$/{ s//\1/; q; }
1182           /^X\(\/\).*/{ s//\1/; q; }
1183           s/.*/./; q'`
1184   { if $as_mkdir_p; then
1185     mkdir -p "$ac_dir"
1186   else
1187     as_dir="$ac_dir"
1188     as_dirs=
1189     while test ! -d "$as_dir"; do
1190       as_dirs="$as_dir $as_dirs"
1191       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1192 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1193          X"$as_dir" : 'X\(//\)[^/]' \| \
1194          X"$as_dir" : 'X\(//\)$' \| \
1195          X"$as_dir" : 'X\(/\)' \| \
1196          .     : '\(.\)' 2>/dev/null ||
1197 echo X"$as_dir" |
1198     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1199           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1200           /^X\(\/\/\)$/{ s//\1/; q; }
1201           /^X\(\/\).*/{ s//\1/; q; }
1202           s/.*/./; q'`
1203     done
1204     test ! -n "$as_dirs" || mkdir $as_dirs
1205   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1206 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1207    { (exit 1); exit 1; }; }; }
1208
1209   ac_builddir=.
1210
1211 if test "$ac_dir" != .; then
1212   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1213   # A "../" for each directory in $ac_dir_suffix.
1214   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1215 else
1216   ac_dir_suffix= ac_top_builddir=
1217 fi
1218
1219 case $srcdir in
1220   .)  # No --srcdir option.  We are building in place.
1221     ac_srcdir=.
1222     if test -z "$ac_top_builddir"; then
1223        ac_top_srcdir=.
1224     else
1225        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1226     fi ;;
1227   [\\/]* | ?:[\\/]* )  # Absolute path.
1228     ac_srcdir=$srcdir$ac_dir_suffix;
1229     ac_top_srcdir=$srcdir ;;
1230   *) # Relative path.
1231     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1232     ac_top_srcdir=$ac_top_builddir$srcdir ;;
1233 esac
1234
1235 # Do not use `cd foo && pwd` to compute absolute paths, because
1236 # the directories may not exist.
1237 case `pwd` in
1238 .) ac_abs_builddir="$ac_dir";;
1239 *)
1240   case "$ac_dir" in
1241   .) ac_abs_builddir=`pwd`;;
1242   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1243   *) ac_abs_builddir=`pwd`/"$ac_dir";;
1244   esac;;
1245 esac
1246 case $ac_abs_builddir in
1247 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1248 *)
1249   case ${ac_top_builddir}. in
1250   .) ac_abs_top_builddir=$ac_abs_builddir;;
1251   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1252   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1253   esac;;
1254 esac
1255 case $ac_abs_builddir in
1256 .) ac_abs_srcdir=$ac_srcdir;;
1257 *)
1258   case $ac_srcdir in
1259   .) ac_abs_srcdir=$ac_abs_builddir;;
1260   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1261   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1262   esac;;
1263 esac
1264 case $ac_abs_builddir in
1265 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1266 *)
1267   case $ac_top_srcdir in
1268   .) ac_abs_top_srcdir=$ac_abs_builddir;;
1269   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1270   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1271   esac;;
1272 esac
1273
1274
1275   { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1276 echo "$as_me: executing $ac_dest commands" >&6;}
1277   case $ac_dest in
1278     rfb/rfbconfig.h ) ac_prefix_conf_OUT=`echo rfb/rfbconfig.h`
1279 ac_prefix_conf_DEF=`echo _$ac_prefix_conf_OUT | sed -e "y:abcdefghijklmnopqrstuvwxyz:ABCDEFGHIJKLMNOPQRSTUVWXYZ:" -e "s/[^abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g"`
1280 ac_prefix_conf_PKG=`echo $PACKAGE`
1281 ac_prefix_conf_LOW=`echo _$ac_prefix_conf_PKG | sed -e "y:ABCDEFGHIJKLMNOPQRSTUVWXYZ-:abcdefghijklmnopqrstuvwxyz_:"`
1282 ac_prefix_conf_UPP=`echo $ac_prefix_conf_PKG | sed -e "y:abcdefghijklmnopqrstuvwxyz-:ABCDEFGHIJKLMNOPQRSTUVWXYZ_:"  -e "/^[0123456789]/s/^/_/"`
1283 ac_prefix_conf_INP=`echo _`
1284 if test "$ac_prefix_conf_INP" = "_"; then
1285    for ac_file in : $CONFIG_HEADERS; do test "_$ac_file" = _: && continue
1286      test -f "$ac_prefix_conf_INP" && continue
1287      case $ac_file in
1288         *.h) test -f $ac_file && ac_prefix_conf_INP=$ac_file ;;
1289         *)
1290      esac
1291    done
1292 fi
1293 if test "$ac_prefix_conf_INP" = "_"; then
1294    case "$ac_prefix_conf_OUT" in
1295       */*) ac_prefix_conf_INP=`basename "$ac_prefix_conf_OUT"`
1296       ;;
1297       *-*) ac_prefix_conf_INP=`echo "$ac_prefix_conf_OUT" | sed -e "s/[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_]*-//"`
1298       ;;
1299       *) ac_prefix_conf_INP=config.h
1300       ;;
1301    esac
1302 fi
1303 if test -z "$ac_prefix_conf_PKG" ; then
1304    { { echo "$as_me:$LINENO: error: no prefix for _PREFIX_PKG_CONFIG_H" >&5
1305 echo "$as_me: error: no prefix for _PREFIX_PKG_CONFIG_H" >&2;}
1306    { (exit 1); exit 1; }; }
1307 else
1308   if test ! -f "$ac_prefix_conf_INP" ; then if test -f "$srcdir/$ac_prefix_conf_INP" ; then
1309      ac_prefix_conf_INP="$srcdir/$ac_prefix_conf_INP"
1310   fi fi
1311   { echo "$as_me:$LINENO: creating $ac_prefix_conf_OUT - prefix $ac_prefix_conf_UPP for $ac_prefix_conf_INP defines" >&5
1312 echo "$as_me: creating $ac_prefix_conf_OUT - prefix $ac_prefix_conf_UPP for $ac_prefix_conf_INP defines" >&6;}
1313   if test -f $ac_prefix_conf_INP ; then
1314     echo "s/#undef  *\\([ABCDEFGHIJKLMNOPQRSTUVWXYZ_]\\)/#undef $ac_prefix_conf_UPP""_\\1/" > conftest.prefix
1315     # no! these are things like socklen_t, const, vfork
1316     # echo "s/#undef  *\\([m4_cr_letters]\\)/#undef $_LOW""_\\1/" >> _script
1317     echo "s/#define  *\\([ABCDEFGHIJKLMNOPQRSTUVWXYZ_][abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_]*\\)\\(.*\\)/#ifndef $ac_prefix_conf_UPP""_\\1 \\" >> conftest.prefix
1318     echo "#define $ac_prefix_conf_UPP""_\\1 \\2 \\" >> conftest.prefix
1319     echo "#endif/" >>conftest.prefix
1320     # no! these are things like socklen_t, const, vfork
1321     # echo "s/#def[]ine  *\\([m4_cr_letters][_symbol]*\\)\\(.*\\)/#ifndef $_LOW""_\\1 \\" >> _script
1322     # echo "#define $_LOW""_\\1 \\2 \\" >> _script
1323     # echo "#endif/" >> _script
1324     # now executing _script on _DEF input to create _OUT output file
1325     echo "#ifndef $ac_prefix_conf_DEF"      >$tmp/pconfig.h
1326     echo "#define $ac_prefix_conf_DEF 1" >>$tmp/pconfig.h
1327     echo ' ' >>$tmp/pconfig.h
1328     echo /'*' $ac_prefix_conf_OUT. Generated automatically at end of configure. '*'/ >>$tmp/pconfig.h
1329
1330     sed -f conftest.prefix $ac_prefix_conf_INP >>$tmp/pconfig.h
1331     echo ' ' >>$tmp/pconfig.h
1332     echo '/* once:' $ac_prefix_conf_DEF '*/' >>$tmp/pconfig.h
1333     echo "#endif" >>$tmp/pconfig.h
1334     if cmp -s $ac_prefix_conf_OUT $tmp/pconfig.h 2>/dev/null; then
1335       { echo "$as_me:$LINENO: $ac_prefix_conf_OUT is unchanged" >&5
1336 echo "$as_me: $ac_prefix_conf_OUT is unchanged" >&6;}
1337     else
1338       ac_dir=`(dirname "$ac_prefix_conf_OUT") 2>/dev/null ||
1339 $as_expr X"$ac_prefix_conf_OUT" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1340          X"$ac_prefix_conf_OUT" : 'X\(//\)[^/]' \| \
1341          X"$ac_prefix_conf_OUT" : 'X\(//\)$' \| \
1342          X"$ac_prefix_conf_OUT" : 'X\(/\)' \| \
1343          .     : '\(.\)' 2>/dev/null ||
1344 echo X"$ac_prefix_conf_OUT" |
1345     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1346           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1347           /^X\(\/\/\)$/{ s//\1/; q; }
1348           /^X\(\/\).*/{ s//\1/; q; }
1349           s/.*/./; q'`
1350       { if $as_mkdir_p; then
1351     mkdir -p "$ac_dir"
1352   else
1353     as_dir="$ac_dir"
1354     as_dirs=
1355     while test ! -d "$as_dir"; do
1356       as_dirs="$as_dir $as_dirs"
1357       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1358 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1359          X"$as_dir" : 'X\(//\)[^/]' \| \
1360          X"$as_dir" : 'X\(//\)$' \| \
1361          X"$as_dir" : 'X\(/\)' \| \
1362          .     : '\(.\)' 2>/dev/null ||
1363 echo X"$as_dir" |
1364     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1365           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1366           /^X\(\/\/\)$/{ s//\1/; q; }
1367           /^X\(\/\).*/{ s//\1/; q; }
1368           s/.*/./; q'`
1369     done
1370     test ! -n "$as_dirs" || mkdir $as_dirs
1371   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1372 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1373    { (exit 1); exit 1; }; }; }
1374
1375       rm -f "$ac_prefix_conf_OUT"
1376       mv $tmp/pconfig.h "$ac_prefix_conf_OUT"
1377     fi
1378     cp conftest.prefix _configs.sed
1379   else
1380     { { echo "$as_me:$LINENO: error: input file $ac_prefix_conf_INP does not exist - skip generating $ac_prefix_conf_OUT" >&5
1381 echo "$as_me: error: input file $ac_prefix_conf_INP does not exist - skip generating $ac_prefix_conf_OUT" >&2;}
1382    { (exit 1); exit 1; }; }
1383   fi
1384   rm -f conftest.*
1385 fi
1386  ;;
1387     depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1388   # Strip MF so we end up with the name of the file.
1389   mf=`echo "$mf" | sed -e 's/:.*$//'`
1390   # Check whether this is an Automake generated Makefile or not.
1391   # We used to match only the files named `Makefile.in', but
1392   # some people rename them; so instead we look at the file content.
1393   # Grep'ing the first line is not enough: some people post-process
1394   # each Makefile.in and add a new line on top of each file to say so.
1395   # So let's grep whole file.
1396   if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1397     dirpart=`(dirname "$mf") 2>/dev/null ||
1398 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1399          X"$mf" : 'X\(//\)[^/]' \| \
1400          X"$mf" : 'X\(//\)$' \| \
1401          X"$mf" : 'X\(/\)' \| \
1402          .     : '\(.\)' 2>/dev/null ||
1403 echo X"$mf" |
1404     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1405           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1406           /^X\(\/\/\)$/{ s//\1/; q; }
1407           /^X\(\/\).*/{ s//\1/; q; }
1408           s/.*/./; q'`
1409   else
1410     continue
1411   fi
1412   # Extract the definition of DEPDIR, am__include, and am__quote
1413   # from the Makefile without running `make'.
1414   DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1415   test -z "$DEPDIR" && continue
1416   am__include=`sed -n 's/^am__include = //p' < "$mf"`
1417   test -z "am__include" && continue
1418   am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1419   # When using ansi2knr, U may be empty or an underscore; expand it
1420   U=`sed -n 's/^U = //p' < "$mf"`
1421   # Find all dependency output files, they are included files with
1422   # $(DEPDIR) in their names.  We invoke sed twice because it is the
1423   # simplest approach to changing $(DEPDIR) to its actual value in the
1424   # expansion.
1425   for file in `sed -n "
1426     s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1427        sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1428     # Make sure the directory exists.
1429     test -f "$dirpart/$file" && continue
1430     fdir=`(dirname "$file") 2>/dev/null ||
1431 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1432          X"$file" : 'X\(//\)[^/]' \| \
1433          X"$file" : 'X\(//\)$' \| \
1434          X"$file" : 'X\(/\)' \| \
1435          .     : '\(.\)' 2>/dev/null ||
1436 echo X"$file" |
1437     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1438           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1439           /^X\(\/\/\)$/{ s//\1/; q; }
1440           /^X\(\/\).*/{ s//\1/; q; }
1441           s/.*/./; q'`
1442     { if $as_mkdir_p; then
1443     mkdir -p $dirpart/$fdir
1444   else
1445     as_dir=$dirpart/$fdir
1446     as_dirs=
1447     while test ! -d "$as_dir"; do
1448       as_dirs="$as_dir $as_dirs"
1449       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1450 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1451          X"$as_dir" : 'X\(//\)[^/]' \| \
1452          X"$as_dir" : 'X\(//\)$' \| \
1453          X"$as_dir" : 'X\(/\)' \| \
1454          .     : '\(.\)' 2>/dev/null ||
1455 echo X"$as_dir" |
1456     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1457           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1458           /^X\(\/\/\)$/{ s//\1/; q; }
1459           /^X\(\/\).*/{ s//\1/; q; }
1460           s/.*/./; q'`
1461     done
1462     test ! -n "$as_dirs" || mkdir $as_dirs
1463   fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1464 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1465    { (exit 1); exit 1; }; }; }
1466
1467     # echo "creating $dirpart/$file"
1468     echo '# dummy' > "$dirpart/$file"
1469   done
1470 done
1471  ;;
1472     chmod-libvncserver-config ) chmod a+x libvncserver-config ;;
1473   esac
1474 done
1475
1476 { (exit 0); exit 0; }